/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  device.h   -  Device base class
 *
 *  (c) 2001-2004 Carsten Siebholz <c.siebholz AT t-online de>
 *  (c) 2004 Andreas Regel <andreas.regel AT powarman de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef _LIBGRAPHLCD_DEVICE_H_
#define _LIBGRAPHLCD_DEVICE_H_

#include "../global.h"

enum eColor { colorBlack, colorWhite };

class cGraphLCDDevice
{
protected:
  int sizeX;
  int sizeY;
public:
  cGraphLCDDevice();
  virtual ~cGraphLCDDevice() {}

  int SizeX() const { return sizeX; }
  int SizeY() const { return sizeY; }

  virtual int Init() { return 0; }
  virtual int DeInit() { return 0; }

  virtual void Clear() {}
  virtual void SetPixel(int x, int y, eColor color) {}
  virtual void Set8Pixels(int x, int y, byte data, eColor color) {}
  virtual void Refresh(bool refreshAll = false) {}

  virtual void SetBrightness(unsigned int percent) {}
};

#endif
