/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  image.h  -  Image output device
 *              Output goes to a image file instead of lcd.
 *
 *  (c) 2004 Andreas Regel <andreas.regel AT gmx de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef _LIBGRAPHLCD_IMAGE_H_
#define _LIBGRAPHLCD_IMAGE_H_

#include "device.h"
#include "../setup.h"

class cGraphLCDDriverImage : public cGraphLCDDevice
{
private:
  byte * newLCD;
  byte * oldLCD;
  cGraphLCDSetup * setup;
  cGraphLCDSetup * oldSetup;
  int lineSize;
  int counter;

  void CheckSetup();

public:
  cGraphLCDDriverImage(cGraphLCDSetup * setup);
  virtual ~cGraphLCDDriverImage();

  virtual int Init();
  virtual int DeInit();

  virtual void Clear();
  virtual void SetPixel(int x, int y, eColor color);
  virtual void Set8Pixels(int x, int y, byte data, eColor color);
  virtual void Refresh(bool refreshAll = false);
};

#endif

