/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  serdisp.h  -  device supported by serdisplib
 *                http://serdisplib.sourceforge.net
 *                
 *
 *  (c) 2003-2004 Wolfgang Astleitner <mrwastl AT users sourceforge net>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef _LIBGRAPHLCD_SERDISP_H_
#define _LIBGRAPHLCD_SERDISP_H_

#include "device.h"
#include "port.h"
#include "../setup.h"

#include "serdisplib/serdisp_control.h"

#ifndef SERDISP_VERSION
#define SERDISP_VERSION(a,b) (((a) << 8) + (b))
#define SERDISP_VERSION_CODE (SERDISP_VERSION((SERDISP_VERSION_MAJOR),(SERDISP_VERSION_MINOR)))
#endif


class cGraphLCDDriverSerDisp : public cGraphLCDDevice {
private:
  cParallelPort * port;
  cGraphLCDSetup * setup;
  cGraphLCDSetup * oldSetup;
  serdisp_t * dd;
  char * drivername;

  void CheckSetup();

public:
  cGraphLCDDriverSerDisp(cGraphLCDSetup * setup, char* drivername);
  virtual ~cGraphLCDDriverSerDisp();

  virtual int Init();
  virtual int DeInit();

  virtual void Clear();
  virtual void SetPixel(int x, int y, eColor color);
  virtual void Set8Pixels(int x, int y, byte data, eColor color);
  virtual void Refresh(bool refreshAll = false);
};

#endif

