/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  font.h  -  font handling
 *
 *  (c) 2001-2004 Carsten Siebholz <c.siebholz AT t-online de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef _GRAPHLCD_FONT_H_
#define _GRAPHLCD_FONT_H_

#include <string>
#include <algorithm>
using namespace std;

#define __STL_CONFIG_H

#include "global.h"

struct tFontChar
{
  byte w;
  byte h;
  word * data;
};


// Font class
class cGraphLCDFont
{
private:
  int totalW;
  int totalH;
  int sizeH;

  tFontChar * characters[256];
protected:
public:
  cGraphLCDFont();
  ~cGraphLCDFont();

  bool Load(const string & fileName);
  int Width() { return totalW; };
  int Height() { return totalH; };
  int Height2() { return sizeH; };

  int WidthC(unsigned char ch);
  int HeightC(unsigned char ch);
  int WidthS(const string & str);
  int WidthS(const string & str, unsigned int len);
  int HeightS(const string & str);
  int HeightS(const string & str, unsigned int len);

  bool Exists(unsigned char ch);

  word GetDataLine(unsigned char ch, int line);
};

#endif
