/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  graphlib.h  -  graphic library
 *
 *  (c) 2001-2004 Carsten Siebholz <c.siebholz AT t-online de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef GRAPHLCD_GRAFLIB_H
#define GRAPHLCD_GRAFLIB_H

#include <string>
using namespace std;

#include "global.h"
#include "drivers/drivers.h"
#include "font.h"
#include "logo.h"


class cGraphLCDGraphLib
{
private:
  cGraphLCDDevice * pLCDDevice;

  int Abs2(int value);
public:
  cGraphLCDGraphLib(cGraphLCDDevice * device);

  void Line(int x1, int y1, int x2, int y2, eColor color);
  void HLine(int x1, int y, int x2, eColor color);
  void VLine(int x, int y1, int y2, eColor color);
  void Rectangle(int x1, int y1, int x2, int y2, bool filled, eColor color);
  void RoundEdges(int x1, int y1, int x2, int y2, int type);
  void RoundRectangle(int x1, int y1, int x2, int y2, bool filled, eColor color, int type);
  void Circle(int x, int y, int r, bool filled, eColor color);
  int Text(int x, int y, int xmax, const string & text, class cGraphLCDFont * font,
           bool prop, eColor fgcolor, eColor bkcolor, int skipPixels = 0);
  void Char(int x, int y, int xmax, unsigned char c, class cGraphLCDFont * font,
            eColor fgcolor, eColor bgcolor, int skipPixels = 0);
  int CharProp(int x, int y, int xmax, unsigned char c, class cGraphLCDFont * font,
               eColor fgcolor, eColor bgcolor, int skipPixels = 0);
  void Bitmap(int x, int y, cGraphLCDLogo * bitmap, eColor color);
};

#endif
