/**
 *  GraphLCD plugin for the Video Disk Recorder 
 *
 *  i18n.c  -  Internationalization
 *
 *  (c) 2001-2004 Carsten Siebholz <c.siebholz AT t-online de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#include "i18n.h"


const tI18nPhrase Phrases[] =
{
	{
		"Output to graphic LCD",// English
		"Ausgabe auf einem Grafik-LCD",// Deutsch
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Ohjaa graafista LCD-nytt",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Plugin active",
		"Plugin aktiv",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Laajennos aktiivinen",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Orientation",
		"Ausrichtung",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Orientaatio",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"normal",
		"normal",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"normaali",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"upside down",
		"auf dem Kopf",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"ylsalaisin",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Display",
		"Darstellung",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nytt",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Black/White",
		"Schwarz/Wei",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"musta/valkoinen",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"White/Black",
		"Wei/Schwarz",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"valkoinen/musta",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Brightness",
		"Helligkeit",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Kirkkaus",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Adjust Timing",
		"Timing einstellen",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Ajoitus",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Refresh Display",
		"Neuaufbau der Anzeige",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Pivit nytt",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"JanFebMarAprMayJunJulAugSepOctNovDec",
		"JanFebMrAprMaiJunJulAugSepOktNovDez",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"TamHelMaaHuhTouKesHeiEloSyyLokMarJou",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Date/Time",
		"Zeige Datum/Uhrzeit",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt pivmr/kello",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"not in menu",
		"nicht im Menu",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"ei valikossa",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Channel",
		"Zeige Kanal",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt kanava",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Logo",
		"Zeige Logo",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt logo",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Logo on Replay",
		"Zeige Logo bei Wiedergabe",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt logo toistotilassa",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Symbols",
		"Zeige Symbole",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt symbolit",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show ET Symbols",
		"Zeige ET Symbole",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt ET-symbolit",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Program",
		"Zeige Programm",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt ohjelma",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Timebar",
		"Zeige Zeitbalken",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt aikajana",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Menu",
		"Zeige Mens",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt valikko",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Messages",
		"Zeige Nachrichten",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt viestit",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Color Buttons",
		"Zeige farbige Tasten",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt vripainikkeet",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show Volume",
		"Zeige Lautstrke",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt nenvoimakkuus",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"compressed",
		"komprimiert",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"pakattu",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"auto",
		"auto",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"automaattinen",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"medium",
		"mittel",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"keskikokoinen",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"large",
		"gro",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"suuri",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Show free Cards",
		"Zeige freie Karten",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Nyt vapaat vastaanottimet",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Replay",
		"Spiele",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Toistotila",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"DVD",
		"DVD",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"DVD",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Music",
		"Musik",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Musiikki",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"File",
		"Datei",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Tiedostot",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Image",
		"Bild",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Kuvat",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"CD",
		"CD",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"CD",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Unknown title",
		"Unbekannter Titel",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Tuntematon nimi",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Identify replay type",
		"Wiedergabetyp erkennen",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Tunnista toistotilan tyyppi",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Modify replay string",
		"Wiedergabetext verndern",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Muokkaa toistotilan merkkijonoa",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Scroll text lines",
		"Textzeilen scrollen",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Vierit tekstirivej",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Scroll speed",
		"Scrollgeschwindigkeit",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Vieritysnopeus",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Scroll time interval",
		"Zeitabstand beim Scrollen",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Vierityksen pivitysvli",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"never",
		"niemals",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"ei koskaan",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"once",
		"einmal",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"kerran",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"always",
		"stndig",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"aina",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Wiring (GU140X32F)",
		"Verdrahtung (GU140X32F)",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"",// TODO Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
#ifdef INCLUDE_SERDISPLIB
	{
		"Contrast",
		"Kontrast",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Kontrasti",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
	{
		"Backlight",
		"Hintergrundbeleuchtung",
		"",// TODO Slovenski
		"",// TODO Italiano
		"",// TODO Nederlands
		"",// TODO Portugus
		"",// TODO Franais
		"",// TODO Norsk
		"Taustavalo",// Suomi
		"",// TODO Polski
		"",// TODO Espaol
		"",// TODO Ellinika
		"",// TODO Svenska
		"",// TODO Romaneste
		"",// TODO Magyar
		"",// TODO Catal
#if VDRVERSNUM > 10302
		"",// TODO Russian
# if VDRVERSNUM > 10307
		"",// TODO Croatian
# endif
#endif
	},
#endif /* INCLUDE_SERDISPLIB */
	{ NULL }
};
